# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        8.0.2
Release:        38%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.0.2
Patch0001: 0001-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Default-supported-services-to-docker.patch
Patch0003: 0003-downstream-only-environments-document-OSP-deployment.patch
Patch0004: 0004-Default-to-docker.yaml-and-docker-ha.yaml.patch
Patch0005: 0005-DOWNSTREAM-ONLY-Disabling-horizon-plugins-we-don-t-s.patch
Patch0006: 0006-Adding-missing-OVN-Metadata-service-to-DVR-environme.patch
Patch0007: 0007-downstream-only-Keep-existing-Compute-hostname.patch
Patch0008: 0008-Improve-nova-ironic-cellv2-discovery.patch
Patch0009: 0009-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0010: 0010-Containerize-Neutron-LBaaS-service-plugin.patch
Patch0011: 0011-Default-collectd-to-overcloud-gnocchi.patch
Patch0012: 0012-Telemetry-services-need-to-access-to-Storage.patch
Patch0013: 0013-No-op-Mistral-workflow-resources-for-update-upgrade-.patch
Patch0014: 0014-Introduce-Ceph-upgrade-environments.patch
Patch0015: 0015-Do-not-pass-ceph_release-to-ceph-ansible.patch
Patch0016: 0016-ovn-Mount-run-instead-of-run-openvswitch-when-starti.patch
Patch0017: 0017-Add-the-service_config_settings-from-service-name-ba.patch
Patch0018: 0018-Enable-management-network-in-network_data.patch
Patch0019: 0019-Fix-openstack-nova-consoleauth-service-upgrade-check.patch
Patch0020: 0020-Fix-Cinder-s-default-db-purge-cron-settings.patch
Patch0021: 0021-Make-pcs-resource-bundle-image-name-update-tolerant-.patch
Patch0022: 0022-Add-OVNCMSOptions-in-dvr-environment-files.patch
Patch0023: 0023-Restrict-tenant-network-to-geneve.patch
Patch0024: 0024-Define-Octavia-SSH-key-name-and-file-path.patch
Patch0025: 0025-Fixes-chowning-neutron-cert-key-perms.patch
Patch0026: 0026-Remove-step_config-from-CinderVolume-backend-service.patch
Patch0027: 0027-Add-defaults-into-name-property-for-config-download.patch
Patch0028: 0028-Delay-collectd-start.patch
Patch0029: 0029-Add-DeployIdentifier-to-Swift-set_swift_secret-conta.patch
Patch0030: 0030-Instance-HA-prevent-compute-to-start-on-a-host-being.patch
Patch0031: 0031-Fix-case-sensitive-OctaviaUserName-parameter.patch
Patch0032: 0032-Add-volumes-list-of-docker-puppet-container-when-mer.patch
Patch0033: 0033-Do-not-overescape-the-Manila-keyring-caps.patch
Patch0034: 0034-Ensure-config-download-mappings-are-unset-on-ceph-up.patch
Patch0035: 0035-Octavia-amphora-image-handling-updates.patch
Patch0036: 0036-Set-normal-CephAnsiblePlaybook-on-update-upgrade-ffw.patch
Patch0037: 0037-Switch-repositories-during-FFU-when-registered-to-CD.patch
Patch0038: 0038-Generate-and-mount-wrappers-for-neutron-agent-proces.patch
Patch0039: 0039-Add-compute-node-L3-agent-container-for-DVR.patch
Patch0040: 0040-Default-Octavia-SSH-pub-key-to-UC-default-keypair.patch
Patch0041: 0041-Enable-default-polling-interval-override.patch
Patch0042: 0042-Add-ability-to-control-Glance-s-enabled_import_metho.patch
Patch0043: 0043-Fix-cinder-backup-image-wrangling-on-update.patch
Patch0044: 0044-FFU-Set-NetworkDeploymentActions-CREATE-UPDATE-for-f.patch
Patch0045: 0045-FFU-Add-cinder-backup-missing-fast_forward_upgrade_t.patch
Patch0046: 0046-Don-t-use-crudini-to-get-rhn-server.patch
Patch0047: 0047-Use-str_replace-for-known_hosts.patch
Patch0048: 0048-Make-lb-mgmt-subnet-a-class-B-subnet.patch
Patch0049: 0049-Add-acl-to-paths-that-are-shared-among-related-neutr.patch
Patch0050: 0050-Always-run-mysql-init-bundle.patch
Patch0051: 0051-gnocchi-add-missing-var-lib-gnocchi.patch
Patch0052: 0052-Reset-Cinder-RPC-versions-after-upgrade.patch
Patch0053: 0053-Removing-the-deprecated-environment-files-for-hw-off.patch
Patch0054: 0054-Add-sanity-checks-for-xinetd-service-restart.patch
Patch0055: 0055-Fix-typo-with-Manila-upgrade-template.patch
Patch0056: 0056-Fix-update-upgrade-or-config-change-for-ODL.patch
Patch0058: 0058-Match-only-haproxy-for-docker-ps-and-skipp-all-hapro.patch
Patch0059: 0059-Update-CephX-client.openstack-keyring-to-use-profile.patch
Patch0060: 0060-Log-memcached-to-stdout-err-only.patch
Patch0061: 0061-Activate-memcached-debug-only-when-using-MemcachedDe.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires:       ansible-tripleo-ipsec
Requires:       PyYAML
Requires:       python2-jinja2
Requires:       python2-six
Requires:       openstack-tripleo-common >= 7.1.0
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Wed Jun 20 2018 Carlos Camacho <ccamacho@redhat.com> 8.0.2-38
- Activate memcached debug only when using MemcachedDebug param. (rhbz#1591278)
- Log memcached to stdout/err only (rhbz#1591278)

* Tue Jun 19 2018 Giulio Fidente <gfidente@redhat.com> 8.0.2-36
- Update CephX client.openstack keyring to use 'profile rbd' (rhbz#1591434)

* Wed Jun 13 2018 Mathieu Bultel <mbultel@redhat.com> 8.0.2-35
- Match only haproxy for docker ps and skipp all *-haproxy occurences (rhbz#1585605)

* Sat Jun 09 2018 Tim Rozet <trozet@redhat.com> 8.0.2-33
- Fix update/upgrade or config change for ODL (rhbz#1586171)

* Fri Jun 08 2018 Christian Schwede <cschwede@redhat.com> 8.0.2-32
- Fix typo with Manila upgrade template (rhbz#1588619)

* Thu Jun 07 2018 Mathieu Bultel <mbultel@redhat.com> 8.0.2-31
- Add sanity checks for xinetd service restart. (rhbz#1585943)

* Wed Jun 06 2018 James Slagle <jslagle@redhat.com> 8.0.2-30
- Removing the deprecated environment files for hw offloading in queens

* Thu May 31 2018 Alan Bishop <abishop@redhat.com> 8.0.2-29
- Reset Cinder RPC versions after upgrade (rhbz#1578901)
- gnocchi: add missing /var/lib/gnocchi (rhbz#1584591)

* Tue May 29 2018 Harry Rybacki <hrybacki@redhat.com> 8.0.2-28
- Always run mysql init bundle (rhbz#1579514)

* Fri May 25 2018 Brent Eagles <beagles@redhat.com> 8.0.2-27
- Add acl to paths that are shared among related neutron processes (rhbz#1563443)

* Thu May 24 2018 Nir Magnezi <nmagnezi@redhat.com> 8.0.2-26
- Make lb-mgmt-subnet a class B subnet (rhbz#1577612)

* Tue May 22 2018 Alex Schultz <aschultz@redhat.com> 8.0.2-25
- Use str_replace for known_hosts (rhbz#1579409)
- Don't use crudini to get rhn server (rhbz#1579198)

* Fri May 18 2018 Mathieu Bultel <mbultel@redhat.com> 8.0.2-23
- FFU Add cinder-backup missing fast_forward_upgrade_tasks (rhbz#1578158)
- FFU Set NetworkDeploymentActions CREATE,UPDATE for ffwd-upgrade prepare (rhbz#1568561)

* Thu May 17 2018 Mathieu Bultel <mbultel@redhat.com> 8.0.2-22
- Fix cinder-backup image wrangling on update (rhbz#1576782)

* Wed May 16 2018 Alan Bishop <abishop@redhat.com> 8.0.2-21
- Add ability to control Glance's enabled_import_methods (rhbz#1552583)

* Wed May 16 2018 Pradeep Kilambi <pkilambi@redhat.com> 8.0.2-20
- Enable default polling interval override (rhbz#1573597)

* Tue May 15 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.0.2-19
- Default Octavia SSH pub key to UC default keypair (rhbz#1561935)

* Mon May 14 2018 Brent Eagles <beagles@redhat.com> 8.0.2-18
- Add compute node L3 agent container for DVR (rhbz#1527130)
- Generate and mount wrappers for neutron agent processes (rhbz#1527130)

* Wed May 09 2018 Carlos Camacho <ccamacho@redhat.com> 8.0.2-17
- Switch repositories during FFU when registered to CDN (rhbz#1558788)

* Wed May 09 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-16
- Set normal CephAnsiblePlaybook on update/upgrade/ffwd converge (rhbz#1574424)
- Ensure config-download mappings are unset on ceph-upgrade (rhbz#1574424)

* Wed May 09 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-15
- Octavia amphora image handling updates (rhbz#1414022)
- Do not overescape the Manila keyring caps (rhbz#1575023)

* Mon May 07 2018 Saravanan KR <skramaja@redhat.com> 8.0.2-14
- Add volumes list of docker-puppet container when merging config volumes (rhbz#1571297)

* Mon May 07 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.0.2-13
- Fix case-sensitive OctaviaUserName parameter (rhbz#1561935)

* Fri May 04 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-12
- Instance HA: prevent compute to start on a host being evacuated (rhbz#1570429)

* Thu May 03 2018 Pradeep Kilambi <pkilambi@redhat.com> 8.0.2-11
- Add DeployIdentifier to Swift set_swift_secret container (rhbz#1419556)
- Delay collectd start (rhbz#1573603)

* Thu May 03 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 8.0.2-10
- Add defaults into name property for config-download. (rhbz#1562546)

* Tue May 01 2018 Alan Bishop <abishop@redhat.com> 8.0.2-9
- Remove step_config from CinderVolume backend services (rhbz#1568120)

* Mon Apr 30 2018 Tim Rozet <trozet@redhat.com> 8.0.2-8
- Fixes chowning neutron cert/key perms (rhbz#1560741)
- Define Octavia SSH key name and file path (rhbz#1561935)

* Mon Apr 30 2018 venkata anil <anilvenkata@redhat.com> 8.0.2-7
- Restrict tenant network to geneve (rhbz#1571653)

* Fri Apr 27 2018 Daniel Alvarez <dalvarez@redhat.com> 8.0.2-6
- Add OVNCMSOptions in dvr environment files (rhbz#1570499 rhbz#1566050)

* Fri Apr 27 2018 mandreou <marios@redhat.com> 8.0.2-5
- Make pcs resource bundle image name update tolerant of rerun
- Fix Cinder's default db purge cron settings

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-4
- Fix Cinder's default db purge cron settings(rhbz#1564519)
- Fix openstack-nova-consoleauth service upgrade check (rhbz#1570296)
- Enable management network in network_data (rhbz#1562477)
- Add the service_config_settings from {{service-name}} base
- ovn: Mount /run instead of /run/openvswitch when starting ovn-controller container

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-3
- Do not pass ceph_release to ceph-ansible (rhbz#1570830)
- Introduce Ceph upgrade environments (rhbz#1562209 rhbz#1569012 rhbz#1568986)
- No-op Mistral workflow resources for update/upgrade/ffwd (rhbz#1562209 rhbz#1569012 rhbz#1568986)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.0.2-2
- Telemetry services need to access to Storage (rhbz#1570365)
- Default collectd to overcloud gnocchi (rhbz#1540239)
- Containerize Neutron LBaaS service plugin (rhbz#1554114)
- [downstream-only] Clean up Ceph OSD product key (rhbz#1500594)
- Improve nova-ironic cellv2 discovery (rhbz#1557068)
- [downstream only] Keep existing Compute hostname. (rhbz#1563866)
- Adding missing OVN Metadata service to DVR environments
- [DOWNSTREAM-ONLY]Disabling horizon plugins we don't ship (rhbz#1514412)
- Default to docker.yaml and docker-ha.yaml (rhbz#1538015)
- [downstream-only] environments: document OSP deployments (rhbz#1537725)
- [DOWNSTREAM-ONLY] Default supported services to docker
- [Downstream-only] Default plugins list for Sahara (rhbz#1351996)

* Mon Apr 23 2018 RDO <dev@lists.rdoproject.org> 8.0.2-1
- Update to 8.0.2

* Tue Mar 27 2018 RDO <dev@lists.rdoproject.org> 8.0.1-1
- Update to 8.0.1

* Tue Mar 13 2018 RDO <dev@lists.rdoproject.org> 8.0.0-1
- Update to 8.0.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.0.0-0.1.0rc1
- Update to 8.0.0.0rc1

